Chapter 4

Claim Batch Invoice

CLOSE BATCH INVOICE

  • Endpoint: POST /v1/invoices/close/{batch_no}
  • Description: Closes an open batch invoice for a provider.

URL Parameters:

Parameter Type Description
batch_no string The batch number to close.

Headers:

Header Value
Authorization Bearer <TOKEN>

Example Request:

  curl -X POST \
    'https://your-api-domain/v1/invoices/BATCH-2025-001/close' \
    -H 'Authorization: Bearer <YOUR_TOKEN>'

Example Success Response (200 OK):

  {
    "success": true,
    "statusCode": 200,
    "message": [
      "Batch invoice closed successfully"
    ],
    "data": null
  }

RE-OPEN BATCH INVOICE

  • Endpoint: POST /v1/invoices/reopen/{batch_no}
  • Description: Reopens a closed batch invoice for a provider.

URL Parameters:

Parameter Type Description
batch_no string The batch number to reopen.

Headers:

Header Value
Authorization Bearer <TOKEN>

Example Request:

  curl -X POST \
    'https://your-api-domain/v1/invoices/BATCH-2025-001/reopen' \
    -H 'Authorization: Bearer <YOUR_TOKEN>'

Example Success Response (200 OK):

  {
    "success": true,
    "statusCode": 200,
    "message": [
      "Batch invoice reopened successfully"
    ],
    "data": null
  }

GET BATCH INVOICE DETAILS

  • Endpoint: GET /v1/invoices/{batch_no}
  • Description: Retrieves the details of a closed batch invoice, including a list of all claims within that batch.

URL Parameters:

Parameter Type Description
batch_no string The batch number to retrieve details for.

Headers:

Header Value
Authorization Bearer <TOKEN>

Example Request:

  curl -X GET \
    'https://your-api-domain/v1/invoices/BATCH-2025-001' \
    -H 'Authorization: Bearer <YOUR_TOKEN>'

Example Success Response (200 OK):

The data field contains an array of claim summary objects.

  {
    "success": true,
    "statusCode": 200,
    "message": [
      "Batch invoice retrieved successfully"
    ],
    "data": [
        {
            "claim_number": "API2506110001",
            "authorization_no": "ATI0001",
            "member_id": "AIT-3113-S1",
            "member_name": "FRANCINA KIZINGA ",
            "encounter_date": null,
            "transaction_date": "11-Jun-2025",
            "request_amount": "83000.0000",
            "estimate_amount": "83000.0000",
            "deny_amount": ".0000"
        },
        {
            "claim_number": "API2506110002",
            "authorization_no": "ATI0002",
            "member_id": "AIT-3113-C1",
            "member_name": "GRADICE KIZINGA ",
            "encounter_date": null,
            "transaction_date": "11-Jun-2025",
            "request_amount": "70000.0000",
            "estimate_amount": "70000.0000",
            "deny_amount": ".0000"
        }
    ]
  }

Example Error Response (422 Unprocessable Entry):

This error is returned if the batch invoice is not in a CLOSED state.

  {
    "success": false,
    "statusCode": 422,
    "message": [
      "Batch invoice is not closed"
    ],
    "data": null
  }